<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <strong><font color="#A020F0">Expanded</font></strong> <a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a> -> <a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Signed 64 bits integer."</font>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">type</font></strong>    := <em><strong><font color="#A4DEA4">`signed long long`</font></strong></em>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">default</font></strong> := (<font color="#A020F0">0</font>.<font color="#0000FF">to_raw_integer_64</font>);
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Insert</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_signed_integer</font></strong>:<a href="SIGNED_INTEGER.html"><font color="#008000">SIGNED_INTEGER</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">object_size</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> := 
  
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">-</font>' :<font color="#008000">SELF</font> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Range</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">maximum</font></strong>:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp Bug C 07FFFFFFFFFFFFFFFh;</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">minimum</font></strong>:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a>  <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Conversion with test.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
   
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer_64</font></strong>:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a>     <- 
  



</body>
</html>

